%global pkgname boto

Summary:	A simple lightweight interface to Amazon Web Services
Name:		python-boto
Version:	2.9.9
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
URL:		https://github.com/%{pkgname}/%{pkgname}/
Source:		http://pypi.python.org/packages/source/b/%{pkgname}/%{pkgname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Patch1:		boto-2.9.6-adjtype.patch
Patch2:		boto-2.9.6-virttype.patch

%description
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1
%patch2 -p1
rm -r boto.egg-info

%build
%{__python} setup.py build  

%install
%{__python} setup.py install --skip-build --root %{buildroot} 

%files
%{_bindir}/asadmin
%{_bindir}/bundle_image
%{_bindir}/cfadmin
%{_bindir}/cq
%{_bindir}/cwutil
%{_bindir}/dynamodb_dump
%{_bindir}/dynamodb_load
%{_bindir}/elbadmin
%{_bindir}/fetch_file
%{_bindir}/glacier
%{_bindir}/instance_events
%{_bindir}/kill_instance
%{_bindir}/launch_instance
%{_bindir}/list_instances
%{_bindir}/lss3
%{_bindir}/mturk
%{_bindir}/pyami_sendmail
%{_bindir}/route53
%{_bindir}/s3put
%{_bindir}/sdbadmin
%{_bindir}/taskadmin
%{python_sitelib}/boto
%{python_sitelib}/boto*.egg-info

%changelog
* Sat Aug 10 2013 billybot <billybot> 2.9.9-1pclos2013
- update
